Xalan-Java 2.7.1: Class DOM2SAX

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.trax
Class DOM2SAX

    java.lang.Object
      |
      +--org.apache.xalan.xsltc.trax.DOM2SAX

public class DOM2SAX
extends java.lang.Object
implements XMLReader, Locator

Constructor Summary
`DOM2SAX(Node root)`

Method Summary
`int` | `getColumnNumber()` This class is only used internally so this method should never be called.
`ContentHandler` | `getContentHandler()`
`DTDHandler` | `getDTDHandler()` This class is only used internally so this method should never be called.
`EntityResolver` | `getEntityResolver()` This class is only used internally so this method should never be called.
`ErrorHandler` | `getErrorHandler()` This class is only used internally so this method should never be called.
`boolean` | `getFeature(java.lang.String name)` This class is only used internally so this method should never be called.
`int` | `getLineNumber()` This class is only used internally so this method should never be called.
`java.lang.Object` | `getProperty(java.lang.String name)` This class is only used internally so this method should never be called.
`java.lang.String` | `getPublicId()` This class is only used internally so this method should never be called.
`java.lang.String` | `getSystemId()` This class is only used internally so this method should never be called.
`void` | `parse()`
`void` | `parse(InputSource unused)`
`void` | `parse(java.lang.String sysId)` This class is only used internally so this method should never be called.
`void` | `setContentHandler(ContentHandler handler)`
`void` | `setDTDHandler(DTDHandler handler)` This class is only used internally so this method should never be called.
`void` | `setEntityResolver(EntityResolver resolver)` This class is only used internally so this method should never be called.
`void` | `setErrorHandler(ErrorHandler handler)` This class is only used internally so this method should never be called.
`void` | `setFeature(java.lang.String name, boolean value)` This class is only used internally so this method should never be called.
`void` | `setProperty(java.lang.String name, java.lang.Object value)` This class is only used internally so this method should never be called.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOM2SAX

    public DOM2SAX(Node root)

Method Detail

### getContentHandler

    public ContentHandler getContentHandler()

  Specified by:
    getContentHandler in interface XMLReader

### setContentHandler

    public void setContentHandler(ContentHandler handler)
                           throws java.lang.NullPointerException

  Specified by:
    setContentHandler in interface XMLReader

### parse

    public void parse(InputSource unused)
               throws java.io.IOException,
                      SAXException

  Specified by:
    parse in interface XMLReader

### parse

    public void parse()
               throws java.io.IOException,
                      SAXException

### getDTDHandler

    public DTDHandler getDTDHandler()

  This class is only used internally so this method should never be called.
  Specified by:
    getDTDHandler in interface XMLReader

### getErrorHandler

    public ErrorHandler getErrorHandler()

  This class is only used internally so this method should never be called.
  Specified by:
    getErrorHandler in interface XMLReader

### getFeature

    public boolean getFeature(java.lang.String name)
                       throws SAXNotRecognizedException,
                              SAXNotSupportedException

  This class is only used internally so this method should never be called.
  Specified by:
    getFeature in interface XMLReader

### setFeature

    public void setFeature(java.lang.String name,
                           boolean value)
                    throws SAXNotRecognizedException,
                           SAXNotSupportedException

  This class is only used internally so this method should never be called.
  Specified by:
    setFeature in interface XMLReader

### parse

    public void parse(java.lang.String sysId)
               throws java.io.IOException,
                      SAXException

  This class is only used internally so this method should never be called.
  Specified by:
    parse in interface XMLReader

### setDTDHandler

    public void setDTDHandler(DTDHandler handler)
                       throws java.lang.NullPointerException

  This class is only used internally so this method should never be called.
  Specified by:
    setDTDHandler in interface XMLReader

### setEntityResolver

    public void setEntityResolver(EntityResolver resolver)
                           throws java.lang.NullPointerException

  This class is only used internally so this method should never be called.
  Specified by:
    setEntityResolver in interface XMLReader

### getEntityResolver

    public EntityResolver getEntityResolver()

  This class is only used internally so this method should never be called.
  Specified by:
    getEntityResolver in interface XMLReader

### setErrorHandler

    public void setErrorHandler(ErrorHandler handler)
                         throws java.lang.NullPointerException

  This class is only used internally so this method should never be called.
  Specified by:
    setErrorHandler in interface XMLReader

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)
                     throws SAXNotRecognizedException,
                            SAXNotSupportedException

  This class is only used internally so this method should never be called.
  Specified by:
    setProperty in interface XMLReader

### getProperty

    public java.lang.Object getProperty(java.lang.String name)
                                 throws SAXNotRecognizedException,
                                        SAXNotSupportedException

  This class is only used internally so this method should never be called.
  Specified by:
    getProperty in interface XMLReader

### getColumnNumber

    public int getColumnNumber()

  This class is only used internally so this method should never be called.
  Specified by:
    getColumnNumber in interface Locator

### getLineNumber

    public int getLineNumber()

  This class is only used internally so this method should never be called.
  Specified by:
    getLineNumber in interface Locator

### getPublicId

    public java.lang.String getPublicId()

  This class is only used internally so this method should never be called.
  Specified by:
    getPublicId in interface Locator

### getSystemId

    public java.lang.String getSystemId()

  This class is only used internally so this method should never be called.
  Specified by:
    getSystemId in interface Locator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.